Subject: Re: bug#57679: [RFC PATCH] gnu: Add paraview.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 25 Sep 2022 20:54:04 -0400

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi Paul,
>
> "Paul A. Patience" <[email-masked]> skribis:
>
>> * gnu/packages/graphics.scm (paraview): New variable.
>> ---
>> Hi,
>>
>> ParaView builds with this patch, but doesn't display icons for any of its
>> buttons, e.g., for open file, etc.
>> I have no idea how to fix this.
>
> I always forget as well, but I suspect you’d get icons if it’s included
> in a profile that has adwaita installed?  Maxim?

Depends.  If it's because SVG icons are used, the SVG pixbuf backend
will need to be available (librsvg present in a profile) (so that it is
registered in the file point by the GDK_PIXBUF_MODULE_FILE environment
variable).  If it uses standard icons that aren't include in the app, an
icon theme will need to provide them (be installed by the user).

I hope that helps,

Maxim